DkimError
Date: 2009-06-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## badpenguin.dkim
Enum DkimError

    java.lang.Object
      java.lang.Enum<DkimError>
          badpenguin.dkim.DkimError

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DkimError>

    public enum DkimError

extends java.lang.Enum<DkimError>

This class enumerates the possible DKIM and DomainKey errors specified in their respective RFC's. The JavaDKIM library should throw a DkimException with the appropriate DkimError and ErrorType when ever something is not quite right.

Author:
  Mark Boddington <dk_NO_im@_SP_bad_AM_penguin.co.uk>
  http://www.badpenguin.co.uk

Enum Constant Summary
`bad` DomainKey status - The signature failed verification
`badformat` DomainKey status - The signature or the public key contains unexpected data
`BODYHASH` DKIM status - PERMFAIL (Body Hash Did Not Verify)
`CONTENT` DKIM status - PERMFAIL (Unsigned Content)
`good` DomainKey status - The signature was verified at the time of testing
`KEYALG` DKIM status - PERMFAIL (Inappropriate Key Algorithm)
`KEYFAIL` DKIM status - PERMFAIL (Inapplicable Key)
`KEYHASH` DKIM status - PERMFAIL (Inappropriate Hash Algorithm)
`KEYREVOKED` DKIM status - PERMFAIL (Key Revoked)
`KEYSYNTAX` DKIM status - PERMFAIL (Key Syntax Error)
`KEYUNVAIL` DKIM status - TEMPFAIL (Key Unavailable)
`LIBERROR` Library Error - An internal error has occurred
`nokey` DomainKey status - The public key query failed as the key does not exist
`NOKEY` DKIM status - PERMFAIL (No Key For Signature)
`NOSIG` This email has no DomainKey-Signature nand/nor DKIM header.
`participant` DomainKey status - The sending domain has indicated it does not participate in DomainKeys
`PERMFAIL` Generic Permenant Failure encountered.
`revoked` DomainKey status - The public key query failed as the key has been revoked
`SIGDOMAIN` DKIM status - PERMFAIL (Domain Mismatch)
`SIGEXPIRED` DKIM status - PERMFAIL (Signature Expired)
`SIGFAIL` DKIM status - PERMFAIL (Unacceptable Signature Header)
`SIGFROM` DKIM status - PERMFAIL (From Header Not Signed)
`SIGREQTAG` DKIM status - PERMFAIL (Signature Missing Required Tag)
`SIGSYNTAX` DKIM status - PERMFAIL (Signature Syntax Error)
`SIGVERIFY` DKIM status - PERMFAIL (Signature Did Not Verify)
`SIGVERSION` DKIM status - PERMFAIL (Incompatible Version)
`TEMPFAIL` Generic Temporary Failure

Field Summary
`ErrorType` | `errorType`

Method Summary
`java.lang.String` | `getDescription()` Get the detailed description
`java.lang.String` | `getStatus()` Get the RFC error status
`static DkimError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DkimError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### good

    public static final DkimError good

  DomainKey status - The signature was verified at the time of testing

### bad

    public static final DkimError bad

  DomainKey status - The signature failed verification

### nokey

    public static final DkimError nokey

  DomainKey status - The public key query failed as the key does not exist

### revoked

    public static final DkimError revoked

  DomainKey status - The public key query failed as the key has been revoked

### badformat

    public static final DkimError badformat

  DomainKey status - The signature or the public key contains unexpected data

### participant

    public static final DkimError participant

  DomainKey status - The sending domain has indicated it does not participate in DomainKeys

### TEMPFAIL

    public static final DkimError TEMPFAIL

  Generic Temporary Failure

### PERMFAIL

    public static final DkimError PERMFAIL

  Generic Permenant Failure encountered.

### SIGSYNTAX

    public static final DkimError SIGSYNTAX

  DKIM status - PERMFAIL (Signature Syntax Error)

### SIGVERSION

    public static final DkimError SIGVERSION

  DKIM status - PERMFAIL (Incompatible Version)

### SIGREQTAG

    public static final DkimError SIGREQTAG

  DKIM status - PERMFAIL (Signature Missing Required Tag)

### SIGDOMAIN

    public static final DkimError SIGDOMAIN

  DKIM status - PERMFAIL (Domain Mismatch)

### SIGFROM

    public static final DkimError SIGFROM

  DKIM status - PERMFAIL (From Header Not Signed)

### SIGEXPIRED

    public static final DkimError SIGEXPIRED

  DKIM status - PERMFAIL (Signature Expired)

### SIGFAIL

    public static final DkimError SIGFAIL

  DKIM status - PERMFAIL (Unacceptable Signature Header)

### KEYUNVAIL

    public static final DkimError KEYUNVAIL

  DKIM status - TEMPFAIL (Key Unavailable)

### NOKEY

    public static final DkimError NOKEY

  DKIM status - PERMFAIL (No Key For Signature)

### KEYSYNTAX

    public static final DkimError KEYSYNTAX

  DKIM status - PERMFAIL (Key Syntax Error)

### KEYFAIL

    public static final DkimError KEYFAIL

  DKIM status - PERMFAIL (Inapplicable Key)

### KEYHASH

    public static final DkimError KEYHASH

  DKIM status - PERMFAIL (Inappropriate Hash Algorithm)

### KEYREVOKED

    public static final DkimError KEYREVOKED

  DKIM status - PERMFAIL (Key Revoked)

### KEYALG

    public static final DkimError KEYALG

  DKIM status - PERMFAIL (Inappropriate Key Algorithm)

### BODYHASH

    public static final DkimError BODYHASH

  DKIM status - PERMFAIL (Body Hash Did Not Verify)

### SIGVERIFY

    public static final DkimError SIGVERIFY

  DKIM status - PERMFAIL (Signature Did Not Verify)

### CONTENT

    public static final DkimError CONTENT

  DKIM status - PERMFAIL (Unsigned Content)

### NOSIG

    public static final DkimError NOSIG

  This email has no DomainKey-Signature nand/nor DKIM header. Not strictly an error, it just means the email is not signed.

### LIBERROR

    public static final DkimError LIBERROR

  Library Error - An internal error has occurred

Field Detail

### errorType

    public ErrorType errorType

Method Detail

### values

    public static DkimError[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DkimError c : DkimError.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DkimError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getStatus

    public java.lang.String getStatus()

  Get the RFC error status

  Returns:
    The RFC error

### getDescription

    public java.lang.String getDescription()

  Get the detailed description

  Returns:
    The Description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© Copyright 2009 Mark Boddington (www.badpenguin.co.uk)